Subject: bug#70677: closed (Re: [bug#70677] [PATCH 0/2] Improve syslog service flexibility)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Dec 2024 17:15:03 +0000

Your bug report

#70677: [PATCH 0/2] Improve syslog service flexibility

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70677: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70677
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70677] [PATCH 0/2] Improve syslog service flexibility
From: Ludovic Courtès <[email-masked]>
To: Jean-Baptiste Note <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Dec 2024 18:13:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jean-Baptiste Note <[email-masked]> skribis:

> While setting up centralized logging in a guix environment, I had to add flags
> to the running syslog on the central server (udp networking, for instance).
>
> Further, I had to use rsyslog instead of syslog.
>
> The following set of patches enable both of these to be done. The patches are
> independent conceptually but touch around the same pieces of code, so they're
> presented as a set.
>
> Jean-Baptiste Note (2):
>   services: syslog: Add extra-options argument to syslog service.
>   services: syslog: Adjust service for rsyslog compatibility.

Finally applied.

Sorry that it took so many months for no good reason!

Ludo’.

Subject: [PATCH 0/2] Improve syslog service flexibility
From: Jean-Baptiste Note <[email-masked]>
To: [email-masked]
Cc: Jean-Baptiste Note <[email-masked]>
Date: Tue, 30 Apr 2024 15:34:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

While setting up centralized logging in a guix environment, I had to add flags
to the running syslog on the central server (udp networking, for instance).

Further, I had to use rsyslog instead of syslog.

The following set of patches enable both of these to be done. The patches are
independent conceptually but touch around the same pieces of code, so they're
presented as a set.

Jean-Baptiste Note (2):
  services: syslog: Add extra-options argument to syslog service.
  services: syslog: Adjust service for rsyslog compatibility.

 doc/guix.texi         | 3 +++
 gnu/services/base.scm | 8 ++++++--
 2 files changed, 9 insertions(+), 2 deletions(-)

-- 
2.41.0